Bug 522922 - Some setroubleshoot error messages
Some setroubleshoot error messages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-09-12 03:54 EDT by Nicolas Mailhot
Modified: 2010-01-19 15:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-19 15:07:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-09-12 03:54:35 EDT
As logged in syslog:

Sep 12 09:44:24  setroubleshoot: [dbus.proxies.ERROR] Introspect error on :1.106:/org/fedoraproject/Setroubleshootd: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Sep 12 09:46:46  setroubleshoot: [rpc.ERROR] [delete_signature] 1001 signature not found
Sep 12 09:46:46  setroubleshoot: [rpc.ERROR] [delete_signature] 1001 signature not found
Sep 12 09:46:46  setroubleshoot: [rpc.ERROR] [delete_signature] 1001 signature not found
Comment 1 Nicolas Mailhot 2009-09-12 03:55:00 EDT
setroubleshoot-2.2.28-1.fc12.x86_64
Comment 2 Daniel Walsh 2009-09-14 11:41:40 EDT
Did you do anything to trigger this?  IE Did you try the fixit button?
Comment 3 Nicolas Mailhot 2009-09-14 13:42:29 EDT
no idea, don't even know what the fixit button is
Comment 4 Daniel Walsh 2009-09-14 15:49:11 EDT
Does setroubleshoot seem to be working for you?
Comment 5 Nicolas Mailhot 2009-09-14 16:07:41 EDT
It works right now, but I admit I had to restart it manually a few times this week
Comment 6 Daniel Walsh 2009-09-14 16:21:45 EDT
There should be no restarting, are you talking about seapplet?

The only constantly running components in Rawhide should be sedispatch which listens to audit for avc messages and seapplet which listens for setroubleshoot messages.

If an AVC arrives, audit sends a message to seapplet which sends a dbus message to setroubleshoot, dbus will start setroubleshoot if it is not running,  setroubleshoot sends a dbus message to seapplet which puts up the star.  If the user clicks on the star it will launch sealert which talks to setroubleshoot, (Starting it if it is not running).  

setroubleshoot dies 10 seconds after the sealert browser exits and any avc message arrives.
Comment 7 Nicolas Mailhot 2009-09-14 16:42:42 EDT
sealert yes
Comment 8 Nicolas Mailhot 2009-09-14 16:44:45 EDT
BTW I hit this a few hours ago

Sep 14 19:58:21  setroubleshoot: [dbus.proxies.ERROR] Introspect error on :1.106:/org/fedoraproject/Setroubleshootd: dbus.exceptions.DBusException: org.freedeskt
op.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the repl
y, the reply timeout expired, or the network connection was broken.

Sep 14 19:58:46  setroubleshoot: [dbus.ERROR] could not start dbus: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the rem
ote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Comment 9 Daniel Walsh 2010-01-19 15:07:29 EST
It seems to be working fine now.

Note You need to log in before you can comment on or make changes to this bug.